View Issue Details

IDProjectCategoryView StatusLast Update
0000027AlmaLinux-8open-vm-toolspublic2021-05-25 23:07
Reportercorporategadfly Assigned Toalukoshko  
PriorityhighSeveritymajorReproducibilityalways
Status assignedResolutionopen 
Summary0000027: Guest customization fails in vmware when using AlmaLinux 8.3 RC as source template
DescriptionIn an enterprise setting, it is typical to use a source VM template and then deploy multiple VMs using that template. Unfortunately, guest customizations (e.g., setting of hostname, interface settings, DNS, etc.) fails during VM deploy.

See https://github.com/vmware/open-vm-tools/issues/497 for some investigative work.

To help adoption of AlmaLinux, deployment using vmware (with templates) is essential.
TagsNo tags attached.
abrt_hash
URL

Activities

corporategadfly

2021-03-31 14:17

reporter   ~0000092

Identical experience with AlmaLinux 8.3.

alukoshko

2021-03-31 16:10

developer   ~0000093

Please provide steps to reproduce.
What VMware version are you using? What should be customized?

corporategadfly

2021-03-31 16:14

reporter   ~0000094

vSphere Client version 6.7.0.46000

So, we typically customize the following:
* hostname
* domain
* DNS entries
* assignment for interfaces (typically two)

Works in RHEL8 and CentOS8 (as long as perl and open-vm-tools is installed).

corporategadfly

2021-03-31 16:15

reporter   ~0000095

Our VSS folks use a custom CLI for initiating the VM creation so I don't know the internal details but generic details are available at: https://docs.vmware.com/en/VMware-vSphere/7.0/com.vmware.vsphere.vm_admin.doc/GUID-EB5F090E-723C-4470-B640-50B35D1EC016.html

corporategadfly

2021-04-02 01:29

reporter   ~0000107

Here is an example of a customization which sets hostname, ip addresses, DNS, etc.:
<code>
{
  "hostname": "hostname-1",
  "dhcp": false,
  "domain": "x.y.z",
  "dns": [
    "128.x.x.x",
    "128.y.y.y"
  ],
  "interfaces": [
    {
      "dhcp": false,
      "ip": "10.192.228.58",
      "mask": "255.255.255.128",
      "gateway": [
        "10.192.228.1"
      ]
    },
    {
      "dhcp": false,
      "ip": "10.192.228.186",
      "mask": "255.255.255.128",
      "gateway": [
        "10.192.228.129"
      ]
    }
  ]
}
</code>

corporategadfly

2021-05-06 23:08

reporter   ~0000180

Any updates?

alukoshko

2021-05-07 18:19

developer   ~0000181

Hi! I wasn't able to reproduce the problem but I haven't tried via CLI.
Could you help a bit with this issue?
Please attach open-vm-tools logs from AlmaLinux and from RHEL/CentOS with the same customization if you can.
I'll try to find out what goes wrong and what's the difference.

Also will you able to help with testing of patched open-vm-tools package if I attach it here? I have an idea how to modify it.

corporategadfly

2021-05-07 18:40

reporter   ~0000182

Absolutely willing to help with testing if I get a patched open-vm-tools package.

I will gather the logs as soon as I'm able to setup a new AlmaLinux template and a new VM deploy (using that template).

corporategadfly

2021-05-07 20:23

reporter   ~0000183

added toolsDeployPkg.log (one from successful Centos 8 and one from failed AlmaLinux).
almalinux-bug-27-almalinux-8.4-failed-toolsDeployPkg.log (29,059 bytes)   
[2021-05-07T18:49:30.780Z] [   debug] ## Starting deploy pkg operation
[2021-05-07T18:49:30.780Z] [   debug] Deploying /var/run/a24d1360/imcf-hWDDmN
[2021-05-07T18:49:30.780Z] [    info] Initializing deployment module.
[2021-05-07T18:49:30.780Z] [    info] Cleaning old state files.
[2021-05-07T18:49:30.780Z] [    info] EXIT STATE 'INPROGRESS'.
[2021-05-07T18:49:30.780Z] [   debug] Setting deploy error: 'Error removing lock '/var/log/.vmware-deploy.INPROGRESS'.(No such file or directory)'.
[2021-05-07T18:49:30.780Z] [    info] EXIT STATE 'Done'.
[2021-05-07T18:49:30.781Z] [   debug] Setting deploy error: 'Error removing lock '/var/log/.vmware-deploy.Done'.(No such file or directory)'.
[2021-05-07T18:49:30.781Z] [    info] EXIT STATE 'ERRORED'.
[2021-05-07T18:49:30.781Z] [   debug] Setting deploy error: 'Error removing lock '/var/log/.vmware-deploy.ERRORED'.(No such file or directory)'.
[2021-05-07T18:49:30.781Z] [   debug] Setting deploy error: 'Success.'.
[2021-05-07T18:49:30.781Z] [    info] Deploying cabinet file '/var/run/a24d1360/imcf-hWDDmN'.
[2021-05-07T18:49:30.781Z] [    info] Transitioning from state '(null)' to state 'INPROGRESS'.
[2021-05-07T18:49:30.781Z] [    info] ENTER STATE 'INPROGRESS'.
[2021-05-07T18:49:30.784Z] [    info] Reading cabinet file '/var/run/a24d1360/imcf-hWDDmN' and will extract it to '/var/run/.vmware-imgcust-daeCZkv'.
[2021-05-07T18:49:30.784Z] [    info] Flags in the header: 0.
[2021-05-07T18:49:30.784Z] [    info] Original deployment command: '/usr/bin/perl -I/tmp/.vmware/linux/deploy/scripts /tmp/.vmware/linux/deploy/scripts/Customize.pl /tmp/.vmware/linux/deploy/cust.cfg'.
[2021-05-07T18:49:30.784Z] [    info] Actual deployment command: '/usr/bin/perl -I/var/run/.vmware-imgcust-daeCZkv/scripts /var/run/.vmware-imgcust-daeCZkv/scripts/Customize.pl /var/run/.vmware-imgcust-daeCZkv/cust.cfg'.
[2021-05-07T18:49:30.784Z] [    info] Extracting package files.
[2021-05-07T18:49:30.856Z] [   debug] Check if cust.cfg exists.
[2021-05-07T18:49:30.856Z] [    info] cust.cfg is found in '/var/run/.vmware-imgcust-daeCZkv' directory.
[2021-05-07T18:49:30.856Z] [   debug] Command to exec : '/usr/bin/cloud-init'.
[2021-05-07T18:49:30.856Z] [    info] sizeof ProcessInternal is 56
[2021-05-07T18:49:30.858Z] [    info] Returning, pending output from stdout
[2021-05-07T18:49:30.858Z] [    info] Returning, pending output from stderr
[2021-05-07T18:49:30.864Z] [   error] execv failed to run (/usr/bin/cloud-init), errno=(2), error message:(No such file or directory)
[2021-05-07T18:49:30.871Z] [    info] Process exited normally after 0 seconds, returned 127
[2021-05-07T18:49:30.871Z] [    info] No more output from stdout
[2021-05-07T18:49:30.871Z] [    info] No more output from stderr
[2021-05-07T18:49:30.871Z] [    info] Customization command output:
''.
[2021-05-07T18:49:30.871Z] [   error] Customization command failed with exitcode: 127, stderr: ''.
[2021-05-07T18:49:30.871Z] [    info] cloud-init is not installed.
[2021-05-07T18:49:30.871Z] [    info] Executing traditional GOSC workflow.
[2021-05-07T18:49:30.871Z] [   debug] Command to exec : '/usr/bin/perl'.
[2021-05-07T18:49:30.871Z] [    info] sizeof ProcessInternal is 56
[2021-05-07T18:49:30.871Z] [    info] Returning, pending output from stdout
[2021-05-07T18:49:30.871Z] [    info] Returning, pending output from stderr
[2021-05-07T18:49:31.271Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.272Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.272Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.272Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.272Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.272Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.372Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.372Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.372Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.472Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.472Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.472Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.472Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.472Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.472Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.472Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.472Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.572Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.572Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.572Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.572Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.572Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.572Z] [    info] Saving output from stdout
[2021-05-07T18:49:31.673Z] [    info] Process exited normally after 0 seconds, returned 0
[2021-05-07T18:49:31.673Z] [    info] No more output from stdout
[2021-05-07T18:49:31.673Z] [    info] No more output from stderr
[2021-05-07T18:49:31.673Z] [    info] Customization command output:
=================== Perl script log start =================
DEBUG: Creating directory /var/lock/vmware 
DEBUG: Opening /var/lock/vmware/gosc in O_CREAT|O_EXCL|O_WRONLY mode 
INFO: Opening file name /var/run/.vmware-imgcust-daeCZkv/cust.cfg. 
DEBUG: Processing line: '[NETWORK]' 
DEBUG: FOUND CATEGORY = NETWORK 
DEBUG: Processing line: 'NETWORKING = yes' 
DEBUG: ADDED KEY-VAL :: 'NETWORK|NETWORKING' = 'yes' 
DEBUG: Processing line: 'BOOTPROTO = dhcp' 
DEBUG: ADDED KEY-VAL :: 'NETWORK|BOOTPROTO' = 'dhcp' 
DEBUG: Processing line: 'HOSTNAME = alma-host' 
DEBUG: ADDED KEY-VAL :: 'NETWORK|HOSTNAME' = 'alma-host' 
DEBUG: Processing line: 'DOMAINNAME = xxx.tld' 
DEBUG: ADDED KEY-VAL :: 'NETWORK|DOMAINNAME' = 'xxx.tld' 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: '[NIC-CONFIG]' 
DEBUG: FOUND CATEGORY = NIC-CONFIG 
DEBUG: Processing line: 'NICS = NIC1,NIC2' 
DEBUG: ADDED KEY-VAL :: 'NIC-CONFIG|NICS' = 'NIC1,NIC2' 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: '[NIC1]' 
DEBUG: FOUND CATEGORY = NIC1 
DEBUG: Processing line: 'MACADDR = 00:50:56:92:46:40' 
DEBUG: ADDED KEY-VAL :: 'NIC1|MACADDR' = '00:50:56:92:46:40' 
DEBUG: Processing line: 'PRIMARY = yes' 
DEBUG: ADDED KEY-VAL :: 'NIC1|PRIMARY' = 'yes' 
DEBUG: Processing line: 'ONBOOT = yes' 
DEBUG: ADDED KEY-VAL :: 'NIC1|ONBOOT' = 'yes' 
DEBUG: Processing line: 'IPv4_MODE = BACKWARDS_COMPATIBLE' 
DEBUG: ADDED KEY-VAL :: 'NIC1|IPv4_MODE' = 'BACKWARDS_COMPATIBLE' 
DEBUG: Processing line: 'BOOTPROTO = static' 
DEBUG: ADDED KEY-VAL :: 'NIC1|BOOTPROTO' = 'static' 
DEBUG: Processing line: 'IPADDR = 10.192.228.58' 
DEBUG: ADDED KEY-VAL :: 'NIC1|IPADDR' = '10.192.228.58' 
DEBUG: Processing line: 'NETMASK = 255.255.255.128' 
DEBUG: ADDED KEY-VAL :: 'NIC1|NETMASK' = '255.255.255.128' 
DEBUG: Processing line: 'GATEWAY = 10.192.228.1' 
DEBUG: ADDED KEY-VAL :: 'NIC1|GATEWAY' = '10.192.228.1' 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: '[NIC2]' 
DEBUG: FOUND CATEGORY = NIC2 
DEBUG: Processing line: 'MACADDR = 00:50:56:92:17:f7' 
DEBUG: ADDED KEY-VAL :: 'NIC2|MACADDR' = '00:50:56:92:17:f7' 
DEBUG: Processing line: 'ONBOOT = yes' 
DEBUG: ADDED KEY-VAL :: 'NIC2|ONBOOT' = 'yes' 
DEBUG: Processing line: 'IPv4_MODE = BACKWARDS_COMPATIBLE' 
DEBUG: ADDED KEY-VAL :: 'NIC2|IPv4_MODE' = 'BACKWARDS_COMPATIBLE' 
DEBUG: Processing line: 'BOOTPROTO = static' 
DEBUG: ADDED KEY-VAL :: 'NIC2|BOOTPROTO' = 'static' 
DEBUG: Processing line: 'IPADDR = 10.192.228.186' 
DEBUG: ADDED KEY-VAL :: 'NIC2|IPADDR' = '10.192.228.186' 
DEBUG: Processing line: 'NETMASK = 255.255.255.128' 
DEBUG: ADDED KEY-VAL :: 'NIC2|NETMASK' = '255.255.255.128' 
DEBUG: Processing line: 'GATEWAY = 10.192.228.129' 
DEBUG: ADDED KEY-VAL :: 'NIC2|GATEWAY' = '10.192.228.129' 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: '[DNS]' 
DEBUG: FOUND CATEGORY = DNS 
DEBUG: Processing line: 'DNSFROMDHCP=no' 
DEBUG: ADDED KEY-VAL :: 'DNS|DNSFROMDHCP' = 'no' 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: 'NAMESERVER|1 = 128.100.100.128' 
DEBUG: ADDED KEY-VAL :: 'DNS|NAMESERVER|1' = '128.100.100.128' 
DEBUG: Processing line: 'NAMESERVER|2 = 128.100.96.34' 
DEBUG: ADDED KEY-VAL :: 'DNS|NAMESERVER|2' = '128.100.96.34' 
DEBUG: Reading issue file ...  
DEBUG: Command: 'cat /etc/issue' 
DEBUG: Result: \S
Kernel \r on an \m

 
DEBUG: Exit Code: 0 
DEBUG: \S
Kernel \r on an \m

 
DEBUG: Reading issue file ...  
DEBUG: Command: 'cat /etc/issue' 
DEBUG: Result: \S
Kernel \r on an \m

 
DEBUG: Exit Code: 0 
DEBUG: \S
Kernel \r on an \m

 
DEBUG: Reading /etc/os-release file ...  
DEBUG: opening file /etc/os-release. 
DEBUG: Match found   : Line = ID="almalinux"
 
DEBUG: Actual String : "almalinux" 
DEBUG: ID: "almalinux" 
DEBUG: opening file /etc/os-release. 
DEBUG: Match found   : Line = VERSION_ID="8.4"
 
DEBUG: Actual String : "8.4" 
DEBUG: Version: "8.4" 
WARNING: Amazon Linux flavor not detected 
DEBUG: Reading issue file ...  
DEBUG: Command: 'cat /etc/issue' 
DEBUG: Result: \S
Kernel \r on an \m

 
DEBUG: Exit Code: 0 
DEBUG: \S
Kernel \r on an \m

 
DEBUG: Reading redhat-release file ...  
DEBUG: Command: 'cat /etc/redhat-release' 
DEBUG: Result: AlmaLinux release 8.4 Beta (Electric Cheetah)
 
DEBUG: Exit Code: 0 
DEBUG: AlmaLinux release 8.4 Beta (Electric Cheetah)
 
WARNING: Redhat flavor not detected 
DEBUG: Reading issue file ...  
DEBUG: Command: 'cat /etc/issue' 
DEBUG: Result: \S
Kernel \r on an \m

 
DEBUG: Exit Code: 0 
DEBUG: \S
Kernel \r on an \m

 
DEBUG: Reading redhat-release file ...  
DEBUG: Command: 'cat /etc/redhat-release' 
DEBUG: Result: AlmaLinux release 8.4 Beta (Electric Cheetah)
 
DEBUG: Exit Code: 0 
DEBUG: AlmaLinux release 8.4 Beta (Electric Cheetah)
 
WARNING: Redhat flavor not detected 
INFO: Detected distribution: RedHat Linux Distribution 
DEBUG: Reading issue file ...  
DEBUG: Command: 'cat /etc/issue' 
DEBUG: Result: \S
Kernel \r on an \m

 
DEBUG: Exit Code: 0 
DEBUG: \S
Kernel \r on an \m

 
DEBUG: Reading redhat-release file ...  
DEBUG: Command: 'cat /etc/redhat-release' 
DEBUG: Result: AlmaLinux release 8.4 Beta (Electric Cheetah)
 
DEBUG: Exit Code: 0 
DEBUG: AlmaLinux release 8.4 Beta (Electric Cheetah)
 
WARNING: Redhat flavor not detected 
WARNING: Unknown RedHat Linux Distribution distribution flavour. 
INFO: Customization instance RedHatCustomization loaded. 
INFO: Customization started 
DEBUG: Command: 'hostname 2>/dev/null' 
DEBUG: Result: alm8-template
 
DEBUG: Exit Code: 0 
DEBUG: TimedCommand: 'hostname -f 2>/dev/null' with timeout of 5 sec 
DEBUG: Fetching result from /tmp/timed_out_tmp_file_927 
DEBUG: TimedResult: alm8-template
 
DEBUG: opening file /etc/sysconfig/network. 
INFO: OLD HOST NAME =  
INFO: Marker file exists or is undefined, pre-customization is not needed 
INFO: Customizing Network settings ...  
DEBUG: opening file /etc/sysconfig/network-scripts/ifcfg-ens192. 
DEBUG: DHCPV6C is '' 
DEBUG: opening file /etc/sysconfig/network-scripts/ifcfg-ens192. 
DEBUG: DHCPV6C_OPTIONS is '' 
DEBUG: opening file /etc/sysconfig/network-scripts/ifcfg-ens192. 
DEBUG: IPV6_AUTOCONF is '' 
DEBUG: opening file /etc/sysconfig/network-scripts/ifcfg-ens192. 
DEBUG: Match found   : Line = IPV6INIT=no
 
DEBUG: Actual String : no 
DEBUG: IPV6INIT is 'no' 
INFO: Erasing DHCP leases 
DEBUG: Command: 'pkill dhclient' 
DEBUG: Result:  
DEBUG: Exit Code: 256 
DEBUG: Command: 'rm -f /var/lib/dhcp/*' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Command: 'rm -f /var/lib/dhclient/*' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Resetting Network Administration Tool (redhat-config-network) 
DEBUG: Command: 'rm -rf /etc/sysconfig/networking/devices' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Command: 'rm -rf /etc/sysconfig/networking/profiles' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Primary NIC is 00:50:56:92:46:40 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:46:40  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:17:f7  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
DEBUG: opening file /etc/sysconfig/network. 
DEBUG: Line : # Created by anaconda
 
INFO: GATEWAYDEV not found, created with ether 
INFO: GATEWAY not found 
INFO: Created with 10.192.228.1 
DEBUG: opening file for writing (/etc/sysconfig/network). 
DEBUG: Command: 'chmod 644 /etc/sysconfig/network' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Command: 'hostname alma-host' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Customizing NICS ...  
DEBUG: Command: 'modprobe pcnet32 2> /dev/null' 
DEBUG: Result:  
DEBUG: Exit Code: 256 
DEBUG: Command: '/sbin/ifconfig eth0 2> /dev/null' 
DEBUG: Result:  
DEBUG: Exit Code: 256 
INFO: Customizing NICS. { NIC1,NIC2 } 
INFO: Customizing NIC NIC1 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:46:40  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:17:f7  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
DEBUG: Deleting 0 files... 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:46:40  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:17:f7  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
INFO: Writing ifcfg file for NIC suffix = ether 
INFO: Query config for ^(NIC1\|IPv6ADDR\|) 
INFO: Query config for ^(NIC1\|IPv6NETMASK\|) 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:46:40  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:17:f7  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
DEBUG: opening file for writing (/etc/sysconfig/network-scripts/ifcfg-ether). 
DEBUG: Command: 'chmod 644 /etc/sysconfig/network-scripts/ifcfg-ether' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Query config for ^NIC1(\|IPv6GATEWAY\|) 
INFO: Configuring route (gateway settings) for ether. 
INFO: Configuring route 10.192.228.1 
DEBUG: opening file /etc/sysconfig/network-scripts/route-ether for appending. 
DEBUG: opening file /etc/sysconfig/network-scripts/route6-ether for appending. 
INFO: Customizing NIC NIC2 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:46:40  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:17:f7  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
DEBUG: Deleting 0 files... 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:46:40  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:17:f7  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
INFO: Writing ifcfg file for NIC suffix = ether 
INFO: Query config for ^(NIC2\|IPv6ADDR\|) 
INFO: Query config for ^(NIC2\|IPv6NETMASK\|) 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:46:40  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:17:f7  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
DEBUG: opening file for writing (/etc/sysconfig/network-scripts/ifcfg-ether). 
DEBUG: Command: 'chmod 644 /etc/sysconfig/network-scripts/ifcfg-ether' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Query config for ^NIC2(\|IPv6GATEWAY\|) 
INFO: Cleanup default IPv4 route for ether. 
DEBUG: Command: '/bin/cat /etc/sysconfig/network-scripts/route-ether | /bin/grep -v default > /etc/sysconfig/network-scripts/route-ether.tmp' 
DEBUG: Result:  
DEBUG: Exit Code: 256 
DEBUG: Command: '/bin/mv -f /etc/sysconfig/network-scripts/route-ether.tmp /etc/sysconfig/network-scripts/route-ether' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Cleanup default IPv6 route for ether. 
DEBUG: Command: '/bin/cat /etc/sysconfig/network-scripts/route6-ether | /bin/grep -v default > /etc/sysconfig/network-scripts/route6-ether.tmp' 
DEBUG: Result:  
DEBUG: Exit Code: 256 
DEBUG: Command: '/bin/mv -f /etc/sysconfig/network-scripts/route6-ether.tmp /etc/sysconfig/network-scripts/route6-ether' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Configuring route (gateway settings) for ether. 
INFO: Configuring route 10.192.228.129 
DEBUG: opening file /etc/sysconfig/network-scripts/route-ether for appending. 
DEBUG: opening file /etc/sysconfig/network-scripts/route6-ether for appending. 
INFO: Customizing Hosts file ...  
DEBUG: Old hostname=[alm8-template] 
DEBUG: Old FQDN=[alm8-template] 
DEBUG: New hostname=[alma-host] 
DEBUG: Building FQDN. HostnameFQDN: alma-host, Domainname: xxx.tld 
DEBUG: New FQDN=[alma-host.xxx.tld] 
DEBUG: opening file /etc/hosts. 
DEBUG: Line (inp): 127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
 
DEBUG: Line (inp): ::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
 
DEBUG: Static ip entry added 
DEBUG: Line (out): 127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
 
DEBUG: Line (out): ::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
 
DEBUG: Line (out): 
10.192.228.58	alma-host.xxx.tld alma-host
 
DEBUG: opening file for writing (/etc/hosts). 
DEBUG: Command: 'chmod 644 /etc/hosts' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Customizing DNS ...  
DEBUG: opening file /etc/nsswitch.conf. 
DEBUG: opening file for writing (/etc/nsswitch.conf). 
DEBUG: Command: 'chmod 644 /etc/nsswitch.conf' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Query config for ^(DNS\|SUFFIX\|) 
INFO: Query config for ^(DNS\|NAMESERVER\|) 
DEBUG: Match Found : DNS|NAMESERVER|2 
DEBUG: 0 
DEBUG: Match Found : DNS|NAMESERVER|1 
DEBUG: 1 
DEBUG: opening file for writing (/etc/resolv.conf). 
DEBUG: Command: 'chmod 644 /etc/resolv.conf' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Check if restorecon exists in /sbin 
DEBUG: Command: '/usr/bin/test -f /sbin/restorecon' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Command: '/sbin/restorecon /etc/resolv.conf' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:46:40  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:17:f7  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:46:40  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:17:f7  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
DEBUG: Deleting 1 files... 
DEBUG: Deleting /etc/resolv.conf.sv... 
DEBUG: Skipping the delete: file doesn't exist or is a directory 
INFO: Customizing Date&Time ...  
INFO: Marker file exists or is undefined, password settings are not needed 
INFO: Marker file exists or is undefined, post-customization is not needed 
INFO: Marker creation is not needed 
INFO: Customization completed. 
DEBUG: Removing lock file /var/lock/vmware/gosc. 

=================== Perl script log end =================
[2021-05-07T18:49:36.673Z] [    info] Wait before set enable-nics stats in vmx.
[2021-05-07T18:49:36.673Z] [   debug] Trying to connect network interfaces, attempt 1.
[2021-05-07T18:49:36.674Z] [   debug] Got VMX response 'queryNicsSupported'.
[2021-05-07T18:49:38.710Z] [   debug] Got VMX response 'connected'.
[2021-05-07T18:49:38.710Z] [    info] The network interfaces are connected on 0 second.
[2021-05-07T18:49:38.711Z] [    info] Transitioning from state 'INPROGRESS' to state 'Done'.
[2021-05-07T18:49:38.711Z] [    info] ENTER STATE 'Done'.
[2021-05-07T18:49:38.711Z] [    info] EXIT STATE 'INPROGRESS'.
[2021-05-07T18:49:38.711Z] [    info] Deployment succeeded.
[2021-05-07T18:49:38.711Z] [    info] Launching cleanup.
[2021-05-07T18:49:38.711Z] [   debug] Command to exec : '/bin/rm'.
[2021-05-07T18:49:38.711Z] [    info] sizeof ProcessInternal is 56
[2021-05-07T18:49:38.712Z] [    info] Returning, pending output from stdout
[2021-05-07T18:49:38.712Z] [    info] Returning, pending output from stderr
[2021-05-07T18:49:38.812Z] [    info] Process exited normally after 0 seconds, returned 0
[2021-05-07T18:49:38.812Z] [    info] No more output from stdout
[2021-05-07T18:49:38.812Z] [    info] No more output from stderr
[2021-05-07T18:49:38.812Z] [    info] Customization command output:
''.
[2021-05-07T18:49:38.812Z] [    info] sSkipReboot: 'false', forceSkipReboot 'false'.
[2021-05-07T18:49:38.812Z] [   debug] Ran DeployPkg_DeployPackageFromFile successfully
[2021-05-07T18:49:38.812Z] [   debug] ## Closing log
[2021-05-07T18:49:38.813Z] [    info] Trigger reboot.
[2021-05-07T18:49:38.813Z] [   debug] Command to exec : '/sbin/telinit'.
[2021-05-07T18:49:38.813Z] [    info] sizeof ProcessInternal is 56
[2021-05-07T18:49:38.813Z] [    info] Returning, pending output from stdout
[2021-05-07T18:49:38.813Z] [    info] Returning, pending output from stderr
[2021-05-07T18:49:38.888Z] [   error] Process exited abnormally after 0 sec, uncaught signal 15
[2021-05-07T18:49:38.888Z] [    info] No more output from stdout
[2021-05-07T18:49:38.888Z] [    info] No more output from stderr
[2021-05-07T18:49:38.888Z] [    info] Customization command output:
''.
[2021-05-07T18:49:38.888Z] [   error] Customization command failed with exitcode: 127, stderr: ''.
[2021-05-07T18:49:39.888Z] [   error] Failed to reboot, telinit returned error 127.
almalinux-bug-27-centos-8-toolsDeployPkg.log (25,435 bytes)   
[2021-03-24T18:39:35.770Z] [   debug] ## Starting deploy pkg operation
[2021-03-24T18:39:35.770Z] [   debug] Deploying /var/run/11f1a5a8/imcf-R9doph
[2021-03-24T18:39:35.770Z] [    info] Initializing deployment module.

[2021-03-24T18:39:35.770Z] [    info] Cleaning old state files.

[2021-03-24T18:39:35.770Z] [    info] EXIT STATE 'INPROGRESS'.

[2021-03-24T18:39:35.770Z] [   debug] Setting deploy error: 'Error removing lock '/var/log/.vmware-deploy.INPROGRESS'.(No such file or directory)'.

[2021-03-24T18:39:35.770Z] [    info] EXIT STATE 'Done'.

[2021-03-24T18:39:35.770Z] [   debug] Setting deploy error: 'Error removing lock '/var/log/.vmware-deploy.Done'.(No such file or directory)'.

[2021-03-24T18:39:35.770Z] [    info] EXIT STATE 'ERRORED'.

[2021-03-24T18:39:35.770Z] [   debug] Setting deploy error: 'Error removing lock '/var/log/.vmware-deploy.ERRORED'.(No such file or directory)'.

[2021-03-24T18:39:35.770Z] [   debug] Setting deploy error: 'Success.'.

[2021-03-24T18:39:35.770Z] [    info] Deploying cabinet file '/var/run/11f1a5a8/imcf-R9doph'.

[2021-03-24T18:39:35.770Z] [    info] Transitioning from state '(null)' to state 'INPROGRESS'.

[2021-03-24T18:39:35.770Z] [    info] ENTER STATE 'INPROGRESS'.

[2021-03-24T18:39:35.778Z] [    info] Reading cabinet file '/var/run/11f1a5a8/imcf-R9doph' and will extract it to '/var/run/.vmware-imgcust-dXGOCXR'.

[2021-03-24T18:39:35.778Z] [    info] Flags in the header: 0.

[2021-03-24T18:39:35.778Z] [    info] Original deployment command: '/usr/bin/perl -I/tmp/.vmware/linux/deploy/scripts /tmp/.vmware/linux/deploy/scripts/Customize.pl /tmp/.vmware/linux/deploy/cust.cfg'.

[2021-03-24T18:39:35.778Z] [    info] Actual deployment command: '/usr/bin/perl -I/var/run/.vmware-imgcust-dXGOCXR/scripts /var/run/.vmware-imgcust-dXGOCXR/scripts/Customize.pl /var/run/.vmware-imgcust-dXGOCXR/cust.cfg'.

[2021-03-24T18:39:35.778Z] [    info] Extracting package files.

[2021-03-24T18:39:35.833Z] [   debug] Check if cust.cfg exists.

[2021-03-24T18:39:35.833Z] [    info] cust.cfg is found in '/var/run/.vmware-imgcust-dXGOCXR' directory.

[2021-03-24T18:39:35.833Z] [   debug] Command to exec : '/usr/bin/cloud-init'.

[2021-03-24T18:39:35.833Z] [    info] sizeof ProcessInternal is 56

[2021-03-24T18:39:35.833Z] [    info] Returning, pending output from stdout
[2021-03-24T18:39:35.833Z] [    info] Returning, pending output from stderr
[2021-03-24T18:39:35.844Z] [    info] Process exited normally after 0 seconds, returned 127
[2021-03-24T18:39:35.844Z] [    info] No more output from stdout
[2021-03-24T18:39:35.844Z] [    info] No more output from stderr
[2021-03-24T18:39:35.844Z] [    info] Customization command output: ''.

[2021-03-24T18:39:35.844Z] [   error] Customization command failed with exitcode: 127, stderr: ''.

[2021-03-24T18:39:35.844Z] [    info] cloud-init is not installed.

[2021-03-24T18:39:35.844Z] [    info] Executing traditional GOSC workflow.

[2021-03-24T18:39:35.844Z] [   debug] Command to exec : '/usr/bin/perl'.

[2021-03-24T18:39:35.844Z] [    info] sizeof ProcessInternal is 56

[2021-03-24T18:39:35.844Z] [    info] Returning, pending output from stdout
[2021-03-24T18:39:35.844Z] [    info] Returning, pending output from stderr
[2021-03-24T18:39:36.244Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.244Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.244Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.244Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.345Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.345Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.445Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.545Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.645Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.645Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.746Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.746Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.846Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.846Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.846Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.946Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.946Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.946Z] [    info] Saving output from stdout
[2021-03-24T18:39:36.946Z] [    info] Saving output from stdout
[2021-03-24T18:39:37.046Z] [    info] Process exited normally after 1 seconds, returned 0
[2021-03-24T18:39:37.046Z] [    info] Saving output from stdout
[2021-03-24T18:39:37.046Z] [    info] Saving output from stdout
[2021-03-24T18:39:37.046Z] [    info] No more output from stdout
[2021-03-24T18:39:37.046Z] [    info] No more output from stderr
[2021-03-24T18:39:37.046Z] [    info] Customization command output: 'DEBUG: Creating directory /var/lock/vmware 
DEBUG: Opening /var/lock/vmware/gosc in O_CREAT|O_EXCL|O_WRONLY mode 
INFO: Opening file name /var/run/.vmware-imgcust-dXGOCXR/cust.cfg. 
DEBUG: Processing line: '[NETWORK]' 
DEBUG: FOUND CATEGORY = NETWORK 
DEBUG: Processing line: 'NETWORKING = yes' 
DEBUG: ADDED KEY-VAL :: 'NETWORK|NETWORKING' = 'yes' 
DEBUG: Processing line: 'BOOTPROTO = dhcp' 
DEBUG: ADDED KEY-VAL :: 'NETWORK|BOOTPROTO' = 'dhcp' 
DEBUG: Processing line: 'HOSTNAME = centos-hostname' 
DEBUG: ADDED KEY-VAL :: 'NETWORK|HOSTNAME' = 'centos-hostname' 
DEBUG: Processing line: 'DOMAINNAME = xxx.tld' 
DEBUG: ADDED KEY-VAL :: 'NETWORK|DOMAINNAME' = 'xxx.tld' 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: '[NIC-CONFIG]' 
DEBUG: FOUND CATEGORY = NIC-CONFIG 
DEBUG: Processing line: 'NICS = NIC1,NIC2' 
DEBUG: ADDED KEY-VAL :: 'NIC-CONFIG|NICS' = 'NIC1,NIC2' 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: '[NIC1]' 
DEBUG: FOUND CATEGORY = NIC1 
DEBUG: Processing line: 'MACADDR = 00:50:56:92:b9:1e' 
DEBUG: ADDED KEY-VAL :: 'NIC1|MACADDR' = '00:50:56:92:b9:1e' 
DEBUG: Processing line: 'PRIMARY = yes' 
DEBUG: ADDED KEY-VAL :: 'NIC1|PRIMARY' = 'yes' 
DEBUG: Processing line: 'ONBOOT = yes' 
DEBUG: ADDED KEY-VAL :: 'NIC1|ONBOOT' = 'yes' 
DEBUG: Processing line: 'IPv4_MODE = BACKWARDS_COMPATIBLE' 
DEBUG: ADDED KEY-VAL :: 'NIC1|IPv4_MODE' = 'BACKWARDS_COMPATIBLE' 
DEBUG: Processing line: 'BOOTPROTO = static' 
DEBUG: ADDED KEY-VAL :: 'NIC1|BOOTPROTO' = 'static' 
DEBUG: Processing line: 'IPADDR = 10.192.233.118' 
DEBUG: ADDED KEY-VAL :: 'NIC1|IPADDR' = '10.192.233.118' 
DEBUG: Processing line: 'NETMASK = 255.255.255.128' 
DEBUG: ADDED KEY-VAL :: 'NIC1|NETMASK' = '255.255.255.128' 
DEBUG: Processing line: 'GATEWAY = 10.192.233.1' 
DEBUG: ADDED KEY-VAL :: 'NIC1|GATEWAY' = '10.192.233.1' 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: '[NIC2]' 
DEBUG: FOUND CATEGORY = NIC2 
DEBUG: Processing line: 'MACADDR = 00:50:56:92:c4:62' 
DEBUG: ADDED KEY-VAL :: 'NIC2|MACADDR' = '00:50:56:92:c4:62' 
DEBUG: Processing line: 'ONBOOT = yes' 
DEBUG: ADDED KEY-VAL :: 'NIC2|ONBOOT' = 'yes' 
DEBUG: Processing line: 'IPv4_MODE = BACKWARDS_COMPATIBLE' 
DEBUG: ADDED KEY-VAL :: 'NIC2|IPv4_MODE' = 'BACKWARDS_COMPATIBLE' 
DEBUG: Processing line: 'BOOTPROTO = static' 
DEBUG: ADDED KEY-VAL :: 'NIC2|BOOTPROTO' = 'static' 
DEBUG: Processing line: 'IPADDR = 10.192.233.246' 
DEBUG: ADDED KEY-VAL :: 'NIC2|IPADDR' = '10.192.233.246' 
DEBUG: Processing line: 'NETMASK = 255.255.255.128' 
DEBUG: ADDED KEY-VAL :: 'NIC2|NETMASK' = '255.255.255.128' 
DEBUG: Processing line: 'GATEWAY = 10.192.233.129' 
DEBUG: ADDED KEY-VAL :: 'NIC2|GATEWAY' = '10.192.233.129' 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: '[DNS]' 
DEBUG: FOUND CATEGORY = DNS 
DEBUG: Processing line: 'DNSFROMDHCP=no' 
DEBUG: ADDED KEY-VAL :: 'DNS|DNSFROMDHCP' = 'no' 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: 'NAMESERVER|1 = 128.100.100.128' 
DEBUG: ADDED KEY-VAL :: 'DNS|NAMESERVER|1' = '128.100.100.128' 
DEBUG: Processing line: 'NAMESERVER|2 = 128.100.96.34' 
DEBUG: ADDED KEY-VAL :: 'DNS|NAMESERVER|2' = '128.100.96.34' 
DEBUG: Reading issue file ...  
DEBUG: Command: 'cat /etc/issue' 
DEBUG: Result: \S
Kernel \r on an \m

 
DEBUG: Exit Code: 0 
DEBUG: \S
Kernel \r on an \m

 
DEBUG: Reading issue file ...  
DEBUG: Command: 'cat /etc/issue' 
DEBUG: Result: \S
Kernel \r on an \m

 
DEBUG: Exit Code: 0 
DEBUG: \S
Kernel \r on an \m

 
DEBUG: Reading /etc/os-release file ...  
DEBUG: opening file /etc/os-release. 
DEBUG: Match found   : Line = ID="centos"
 
DEBUG: Actual String : "centos" 
DEBUG: ID: "centos" 
DEBUG: opening file /etc/os-release. 
DEBUG: Match found   : Line = VERSION_ID="8"
 
DEBUG: Actual String : "8" 
DEBUG: Version: "8" 
WARNING: Amazon Linux flavor not detected 
DEBUG: Reading issue file ...  
DEBUG: Command: 'cat /etc/issue' 
DEBUG: Result: \S
Kernel \r on an \m

 
DEBUG: Exit Code: 0 
DEBUG: \S
Kernel \r on an \m

 
DEBUG: Reading redhat-release file ...  
DEBUG: Command: 'cat /etc/redhat-release' 
DEBUG: Result: CentOS Linux release 8.3.2011
 
DEBUG: Exit Code: 0 
DEBUG: CentOS Linux release 8.3.2011
 
DEBUG: Detected flavor: 'CentOS 8' 
INFO: Detected distribution: CentOS 8 
DEBUG: Reading issue file ...  
DEBUG: Command: 'cat /etc/issue' 
DEBUG: Result: \S
Kernel \r on an \m

 
DEBUG: Exit Code: 0 
DEBUG: \S
Kernel \r on an \m

 
DEBUG: Reading redhat-release file ...  
DEBUG: Command: 'cat /etc/redhat-release' 
DEBUG: Result: CentOS Linux release 8.3.2011
 
DEBUG: Exit Code: 0 
DEBUG: CentOS Linux release 8.3.2011
 
DEBUG: Detected flavor: 'CentOS 8' 
INFO: Detected distribution flavour: CentOS 8 
INFO: Customization instance RHEL7Customization loaded. 
INFO: Customization started 
DEBUG: Command: 'hostname 2>/dev/null' 
DEBUG: Result: localhost
 
DEBUG: Exit Code: 0 
DEBUG: TimedCommand: 'hostname -f 2>/dev/null' with timeout of 5 sec 
DEBUG: Fetching result from /tmp/timed_out_tmp_file_988 
DEBUG: TimedResult: localhost
 
INFO: OLD HOST NAME = localhost 
INFO: Marker file exists or is undefined, pre-customization is not needed 
INFO: Customizing Network settings ...  
DEBUG: opening file /etc/sysconfig/network-scripts/ifcfg-ens160. 
DEBUG: DHCPV6C is '' 
DEBUG: opening file /etc/sysconfig/network-scripts/ifcfg-ens160. 
DEBUG: DHCPV6C_OPTIONS is '' 
DEBUG: opening file /etc/sysconfig/network-scripts/ifcfg-ens160. 
DEBUG: IPV6_AUTOCONF is '' 
DEBUG: opening file /etc/sysconfig/network-scripts/ifcfg-ens160. 
DEBUG: IPV6INIT is '' 
INFO: Removing old interface configuration files. 
DEBUG: Command: 'rm -f /etc/sysconfig/network-scripts/ifcfg-eth*' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Erasing DHCP leases 
DEBUG: Command: 'pkill dhclient' 
DEBUG: Result:  
DEBUG: Exit Code: 256 
DEBUG: Command: 'rm -f /var/lib/dhcp/*' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Command: 'rm -f /var/lib/dhclient/*' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Resetting Network Administration Tool (redhat-config-network) 
DEBUG: Command: 'rm -rf /etc/sysconfig/networking/devices' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Command: 'rm -rf /etc/sysconfig/networking/profiles' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Primary NIC is 00:50:56:92:b9:1e 
DEBUG: Command: 'whereis ip' 
DEBUG: Result: ip: /usr/sbin/ip /usr/share/man/man7/ip.7.gz /usr/share/man/man8/ip.8.gz
 
DEBUG: Exit Code: 0 
DEBUG: Command: '/usr/sbin/ip addr show' 
DEBUG: Result: 1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
2: ens160: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:b9:1e brd ff:ff:ff:ff:ff:ff
3: ens224: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:c4:62 brd ff:ff:ff:ff:ff:ff
 
DEBUG: Exit Code: 0 
DEBUG: opening file /etc/sysconfig/network. 
DEBUG: Line : # Created by anaconda
 
DEBUG: Line : 
 
DEBUG: Line : NETWORKING=yes
 
DEBUG: Line : GATEWAY=142.150.183.129
 
INFO: Found GATEWAY 
INFO: Patched with 10.192.233.1 
INFO: GATEWAYDEV not found, created with ens160 
DEBUG: opening file for writing (/etc/sysconfig/network). 
DEBUG: Command: 'chmod 644 /etc/sysconfig/network' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Command: 'hostname centos-hostname' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: opening file for writing (/etc/hostname). 
DEBUG: Command: 'chmod 644 /etc/hostname' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Customizing NICS ...  
DEBUG: Command: 'modprobe pcnet32 2> /dev/null' 
DEBUG: Result:  
DEBUG: Exit Code: 256 
DEBUG: Command: '/sbin/ifconfig eth0 2> /dev/null' 
DEBUG: Result:  
DEBUG: Exit Code: 256 
INFO: Customizing NICS. { NIC1,NIC2 } 
INFO: Customizing NIC NIC1 
DEBUG: Command: 'whereis ip' 
DEBUG: Result: ip: /usr/sbin/ip /usr/share/man/man7/ip.7.gz /usr/share/man/man8/ip.8.gz
 
DEBUG: Exit Code: 0 
DEBUG: Command: '/usr/sbin/ip addr show' 
DEBUG: Result: 1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
2: ens160: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:b9:1e brd ff:ff:ff:ff:ff:ff
3: ens224: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:c4:62 brd ff:ff:ff:ff:ff:ff
 
DEBUG: Exit Code: 0 
DEBUG: Deleting 0 files... 
DEBUG: Command: 'whereis ip' 
DEBUG: Result: ip: /usr/sbin/ip /usr/share/man/man7/ip.7.gz /usr/share/man/man8/ip.8.gz
 
DEBUG: Exit Code: 0 
DEBUG: Command: '/usr/sbin/ip addr show' 
DEBUG: Result: 1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
2: ens160: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:b9:1e brd ff:ff:ff:ff:ff:ff
3: ens224: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:c4:62 brd ff:ff:ff:ff:ff:ff
 
DEBUG: Exit Code: 0 
INFO: Writing ifcfg file for NIC suffix = ens160 
INFO: Query config for ^(DNS\|NAMESERVER\|) 
DEBUG: Match Found : DNS|NAMESERVER|2 
DEBUG: 0 
DEBUG: Match Found : DNS|NAMESERVER|1 
DEBUG: 1 
INFO: Query config for ^(DNS\|SUFFIX\|) 
INFO: Query config for ^NIC1(\|IPv6GATEWAY\|) 
INFO: Query config for ^(NIC1\|IPv6ADDR\|) 
INFO: Query config for ^(NIC1\|IPv6NETMASK\|) 
DEBUG: Command: 'whereis ip' 
DEBUG: Result: ip: /usr/sbin/ip /usr/share/man/man7/ip.7.gz /usr/share/man/man8/ip.8.gz
 
DEBUG: Exit Code: 0 
DEBUG: Command: '/usr/sbin/ip addr show' 
DEBUG: Result: 1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
2: ens160: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:b9:1e brd ff:ff:ff:ff:ff:ff
3: ens224: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:c4:62 brd ff:ff:ff:ff:ff:ff
 
DEBUG: Exit Code: 0 
DEBUG: opening file for writing (/etc/sysconfig/network-scripts/ifcfg-ens160). 
DEBUG: Command: 'chmod 644 /etc/sysconfig/network-scripts/ifcfg-ens160' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Query config for ^NIC1(\|IPv6GATEWAY\|) 
INFO: Customizing NIC NIC2 
DEBUG: Command: 'whereis ip' 
DEBUG: Result: ip: /usr/sbin/ip /usr/share/man/man7/ip.7.gz /usr/share/man/man8/ip.8.gz
 
DEBUG: Exit Code: 0 
DEBUG: Command: '/usr/sbin/ip addr show' 
DEBUG: Result: 1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
2: ens160: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:b9:1e brd ff:ff:ff:ff:ff:ff
3: ens224: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:c4:62 brd ff:ff:ff:ff:ff:ff
 
DEBUG: Exit Code: 0 
DEBUG: Deleting 0 files... 
DEBUG: Command: 'whereis ip' 
DEBUG: Result: ip: /usr/sbin/ip /usr/share/man/man7/ip.7.gz /usr/share/man/man8/ip.8.gz
 
DEBUG: Exit Code: 0 
DEBUG: Command: '/usr/sbin/ip addr show' 
DEBUG: Result: 1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
2: ens160: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:b9:1e brd ff:ff:ff:ff:ff:ff
3: ens224: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:c4:62 brd ff:ff:ff:ff:ff:ff
 
DEBUG: Exit Code: 0 
INFO: Writing ifcfg file for NIC suffix = ens224 
INFO: Query config for ^(DNS\|NAMESERVER\|) 
DEBUG: Match Found : DNS|NAMESERVER|2 
DEBUG: 0 
DEBUG: Match Found : DNS|NAMESERVER|1 
DEBUG: 1 
INFO: Query config for ^(DNS\|SUFFIX\|) 
INFO: Query config for ^NIC2(\|IPv6GATEWAY\|) 
INFO: Query config for ^(NIC2\|IPv6ADDR\|) 
INFO: Query config for ^(NIC2\|IPv6NETMASK\|) 
DEBUG: Command: 'whereis ip' 
DEBUG: Result: ip: /usr/sbin/ip /usr/share/man/man7/ip.7.gz /usr/share/man/man8/ip.8.gz
 
DEBUG: Exit Code: 0 
DEBUG: Command: '/usr/sbin/ip addr show' 
DEBUG: Result: 1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
2: ens160: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:b9:1e brd ff:ff:ff:ff:ff:ff
3: ens224: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:c4:62 brd ff:ff:ff:ff:ff:ff
 
DEBUG: Exit Code: 0 
DEBUG: opening file for writing (/etc/sysconfig/network-scripts/ifcfg-ens224). 
DEBUG: Command: 'chmod 644 /etc/sysconfig/network-scripts/ifcfg-ens224' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Query config for ^NIC2(\|IPv6GATEWAY\|) 
INFO: Customizing Hosts file ...  
DEBUG: Old hostname=[localhost] 
DEBUG: Old FQDN=[localhost] 
DEBUG: New hostname=[centos-hostname] 
DEBUG: Building FQDN. HostnameFQDN: centos-hostname, Domainname: xxx.tld 
DEBUG: New FQDN=[centos-hostname.xxx.tld] 
DEBUG: opening file /etc/hosts. 
DEBUG: Line (inp): 127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
 
DEBUG: Line (inp): ::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
 
DEBUG: Line (inp): 10.192.212.46   puppet
 
DEBUG: Static ip entry added 
DEBUG: Line (out): 127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
 
DEBUG: Line (out): ::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
 
DEBUG: Line (out): 10.192.212.46   puppet
 
DEBUG: Line (out): 
10.192.233.118	centos-hostname.xxx.tld centos-hostname
 
DEBUG: opening file for writing (/etc/hosts). 
DEBUG: Command: 'chmod 644 /etc/hosts' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Customizing DNS ...  
DEBUG: opening file /etc/nsswitch.conf. 
DEBUG: opening file for writing (/etc/nsswitch.conf). 
DEBUG: Command: 'chmod 644 /etc/nsswitch.conf' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Query config for ^(DNS\|SUFFIX\|) 
INFO: Query config for ^(DNS\|NAMESERVER\|) 
DEBUG: Match Found : DNS|NAMESERVER|2 
DEBUG: 0 
DEBUG: Match Found : DNS|NAMESERVER|1 
DEBUG: 1 
DEBUG: opening file for writing (/etc/resolv.conf). 
DEBUG: Command: 'chmod 644 /etc/resolv.conf' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Check if restorecon exists in /sbin 
DEBUG: Command: '/usr/bin/test -f /sbin/restorecon' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Command: '/sbin/restorecon /etc/resolv.conf' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Command: 'whereis ip' 
DEBUG: Result: ip: /usr/sbin/ip /usr/share/man/man7/ip.7.gz /usr/share/man/man8/ip.8.gz
 
DEBUG: Exit Code: 0 
DEBUG: Command: '/usr/sbin/ip addr show' 
DEBUG: Result: 1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
2: ens160: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:b9:1e brd ff:ff:ff:ff:ff:ff
3: ens224: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:c4:62 brd ff:ff:ff:ff:ff:ff
 
DEBUG: Exit Code: 0 
INFO: Query config for ^(DNS\|SUFFIX\|) 
INFO: Query config for ^(DNS\|NAMESERVER\|) 
DEBUG: Match Found : DNS|NAMESERVER|2 
DEBUG: 0 
DEBUG: Match Found : DNS|NAMESERVER|1 
DEBUG: 1 
DEBUG: opening file for writing (/etc/dhclient-ens160.conf). 
DEBUG: Command: 'chmod 644 /etc/dhclient-ens160.conf' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Command: 'whereis ip' 
DEBUG: Result: ip: /usr/sbin/ip /usr/share/man/man7/ip.7.gz /usr/share/man/man8/ip.8.gz
 
DEBUG: Exit Code: 0 
DEBUG: Command: '/usr/sbin/ip addr show' 
DEBUG: Result: 1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
2: ens160: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:b9:1e brd ff:ff:ff:ff:ff:ff
3: ens224: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 00:50:56:92:c4:62 brd ff:ff:ff:ff:ff:ff
 
DEBUG: Exit Code: 0 
INFO: Query config for ^(DNS\|SUFFIX\|) 
INFO: Query config for ^(DNS\|NAMESERVER\|) 
DEBUG: Match Found : DNS|NAMESERVER|2 
DEBUG: 0 
DEBUG: Match Found : DNS|NAMESERVER|1 
DEBUG: 1 
DEBUG: opening file for writing (/etc/dhclient-ens224.conf). 
DEBUG: Command: 'chmod 644 /etc/dhclient-ens224.conf' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Deleting 1 files... 
DEBUG: Deleting /etc/resolv.conf.sv... 
DEBUG: Skipping the delete: file doesn't exist or is a directory 
INFO: Customizing Date&Time ...  
INFO: Marker file exists or is undefined, password settings are not needed 
INFO: Marker file exists or is undefined, post-customization is not needed 
INFO: Marker creation is not needed 
INFO: Customization completed. 
DEBUG: Removing lock file /var/lock/vmware/gosc. 
'.

[2021-03-24T18:39:42.047Z] [    info] Wait before set enable-nics stats in vmx.

[2021-03-24T18:39:42.047Z] [   debug] Trying to connect network interfaces, attempt 1.

[2021-03-24T18:39:42.048Z] [   debug] Got VMX response 'queryNicsSupported'.

[2021-03-24T18:39:44.079Z] [   debug] Got VMX response 'connected'.

[2021-03-24T18:39:44.079Z] [    info] The network interfaces are connected on 0 second.

[2021-03-24T18:39:44.081Z] [    info] Transitioning from state 'INPROGRESS' to state 'Done'.

[2021-03-24T18:39:44.081Z] [    info] ENTER STATE 'Done'.

[2021-03-24T18:39:44.081Z] [    info] EXIT STATE 'INPROGRESS'.

[2021-03-24T18:39:44.081Z] [    info] Deployment succeeded.

[2021-03-24T18:39:44.081Z] [    info] Launching cleanup.

[2021-03-24T18:39:44.081Z] [   debug] Command to exec : '/bin/rm'.

[2021-03-24T18:39:44.081Z] [    info] sizeof ProcessInternal is 56

[2021-03-24T18:39:44.082Z] [    info] Returning, pending output from stdout
[2021-03-24T18:39:44.082Z] [    info] Returning, pending output from stderr
[2021-03-24T18:39:44.182Z] [    info] Process exited normally after 0 seconds, returned 0
[2021-03-24T18:39:44.182Z] [    info] No more output from stdout
[2021-03-24T18:39:44.182Z] [    info] No more output from stderr
[2021-03-24T18:39:44.182Z] [    info] Customization command output: ''.

[2021-03-24T18:39:44.182Z] [    info] sSkipReboot: 'false', forceSkipReboot 'false'.

[2021-03-24T18:39:44.183Z] [   debug] Ran DeployPkg_DeployPackageFromFile successfully
[2021-03-24T18:39:44.183Z] [   debug] ## Closing log
[2021-03-24T18:39:44.183Z] [    info] Trigger reboot.

[2021-03-24T18:39:44.183Z] [   debug] Command to exec : '/sbin/telinit'.

[2021-03-24T18:39:44.183Z] [    info] sizeof ProcessInternal is 56

[2021-03-24T18:39:44.183Z] [    info] Returning, pending output from stdout
[2021-03-24T18:39:44.183Z] [    info] Returning, pending output from stderr
[2021-03-24T18:39:44.241Z] [   error] Process exited abnormally after 0 sec, uncaught signal 15
[2021-03-24T18:39:44.241Z] [    info] No more output from stdout
[2021-03-24T18:39:44.241Z] [    info] No more output from stderr
[2021-03-24T18:39:44.241Z] [    info] Customization command output: ''.

[2021-03-24T18:39:44.241Z] [   error] Customization command failed with exitcode: 127, stderr: ''.

[2021-03-24T18:39:45.241Z] [   error] Failed to reboot, telinit returned error 127.

alukoshko

2021-05-07 20:47

developer   ~0000184

Last edited: 2021-05-07 20:49

Well I see the difference:

CentOS:
INFO: Customization instance RHEL7Customization loaded.

AlmaLinux:
INFO: Customization instance RedHatCustomization loaded.

Errors at the end of logs actually the same for both OS.

alukoshko

2021-05-07 21:13

developer   ~0000185

alukoshko

2021-05-07 21:13

developer   ~0000186

alukoshko

2021-05-07 21:16

developer   ~0000187

Attached files are for 8.3 stable actually but may work on 8.4 beta too I believe.
Please attach log even if customization will fail again as I wanna check the difference.

corporategadfly

2021-05-13 01:46

reporter   ~0000191

Here is the procedure to create a new template VM from 8.3 stable. After installing 8.3 AlmaLinux, I executed the following commands:

yum remove open-vm-tools --noautoremove
rpm -ivh /tmp/open-vm-tools-11.1.0-2.el8.alma.x86_64.rpm

Installed perl:

yum install perl

After that shutdown VM and converted VM to template. Then, I used this template to create a new VM with multiple NICs. Find attached the toolsDeployPkg.log (Same detection of RedHat family as earlier - no difference).
almalinux-bug-27-almalinux-8.3-with-patched-open-vm-tools-failed-toolsDeployPkg.log (29,622 bytes)   
[2021-05-13T01:15:58.320Z] [   debug] ## Starting deploy pkg operation
[2021-05-13T01:15:58.320Z] [   debug] Deploying /var/run/0b3084f5/imcf-DC86Ss
[2021-05-13T01:15:58.320Z] [    info] Initializing deployment module.

[2021-05-13T01:15:58.320Z] [    info] Cleaning old state files.

[2021-05-13T01:15:58.320Z] [    info] EXIT STATE 'INPROGRESS'.

[2021-05-13T01:15:58.320Z] [   debug] Setting deploy error: 'Error removing lock '/var/log/.vmware-deploy.INPROGRESS'.(No such file or directory)'.

[2021-05-13T01:15:58.320Z] [    info] EXIT STATE 'Done'.

[2021-05-13T01:15:58.320Z] [   debug] Setting deploy error: 'Error removing lock '/var/log/.vmware-deploy.Done'.(No such file or directory)'.

[2021-05-13T01:15:58.320Z] [    info] EXIT STATE 'ERRORED'.

[2021-05-13T01:15:58.320Z] [   debug] Setting deploy error: 'Error removing lock '/var/log/.vmware-deploy.ERRORED'.(No such file or directory)'.

[2021-05-13T01:15:58.320Z] [   debug] Setting deploy error: 'Success.'.

[2021-05-13T01:15:58.320Z] [    info] Deploying cabinet file '/var/run/0b3084f5/imcf-DC86Ss'.

[2021-05-13T01:15:58.320Z] [    info] Transitioning from state '(null)' to state 'INPROGRESS'.

[2021-05-13T01:15:58.320Z] [    info] ENTER STATE 'INPROGRESS'.

[2021-05-13T01:15:58.322Z] [    info] Reading cabinet file '/var/run/0b3084f5/imcf-DC86Ss' and will extract it to '/var/run/.vmware-imgcust-dpa55Fi'.

[2021-05-13T01:15:58.322Z] [    info] Flags in the header: 0.

[2021-05-13T01:15:58.322Z] [    info] Original deployment command: '/usr/bin/perl -I/tmp/.vmware/linux/deploy/scripts /tmp/.vmware/linux/deploy/scripts/Customize.pl /tmp/.vmware/linux/deploy/cust.cfg'.

[2021-05-13T01:15:58.322Z] [    info] Actual deployment command: '/usr/bin/perl -I/var/run/.vmware-imgcust-dpa55Fi/scripts /var/run/.vmware-imgcust-dpa55Fi/scripts/Customize.pl /var/run/.vmware-imgcust-dpa55Fi/cust.cfg'.

[2021-05-13T01:15:58.322Z] [    info] Extracting package files.

[2021-05-13T01:15:58.448Z] [   debug] Check if cust.cfg exists.

[2021-05-13T01:15:58.448Z] [    info] cust.cfg is found in '/var/run/.vmware-imgcust-dpa55Fi' directory.

[2021-05-13T01:15:58.448Z] [   debug] Command to exec : '/usr/bin/cloud-init'.

[2021-05-13T01:15:58.448Z] [    info] sizeof ProcessInternal is 56

[2021-05-13T01:15:58.455Z] [    info] Returning, pending output from stdout
[2021-05-13T01:15:58.455Z] [    info] Returning, pending output from stderr
[2021-05-13T01:15:58.555Z] [    info] Process exited normally after 0 seconds, returned 127
[2021-05-13T01:15:58.555Z] [    info] No more output from stdout
[2021-05-13T01:15:58.555Z] [    info] No more output from stderr
[2021-05-13T01:15:58.555Z] [    info] Customization command output: ''.

[2021-05-13T01:15:58.555Z] [   error] Customization command failed with exitcode: 127, stderr: ''.

[2021-05-13T01:15:58.555Z] [    info] cloud-init is not installed.

[2021-05-13T01:15:58.555Z] [    info] Executing traditional GOSC workflow.

[2021-05-13T01:15:58.555Z] [   debug] Command to exec : '/usr/bin/perl'.

[2021-05-13T01:15:58.555Z] [    info] sizeof ProcessInternal is 56

[2021-05-13T01:15:58.555Z] [    info] Returning, pending output from stdout
[2021-05-13T01:15:58.555Z] [    info] Returning, pending output from stderr
[2021-05-13T01:15:59.056Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.056Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.056Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.056Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.056Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.056Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.156Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.156Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.156Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.256Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.256Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.256Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.256Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.256Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.256Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.256Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.256Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.356Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.356Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.356Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.356Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.356Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.456Z] [    info] Process exited normally after 0 seconds, returned 0
[2021-05-13T01:15:59.456Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.456Z] [    info] Saving output from stdout
[2021-05-13T01:15:59.456Z] [    info] No more output from stdout
[2021-05-13T01:15:59.456Z] [    info] No more output from stderr
[2021-05-13T01:15:59.456Z] [    info] Customization command output: 'DEBUG: Creating directory /var/lock/vmware 
DEBUG: Opening /var/lock/vmware/gosc in O_CREAT|O_EXCL|O_WRONLY mode 
INFO: Opening file name /var/run/.vmware-imgcust-dpa55Fi/cust.cfg. 
DEBUG: Processing line: '[NETWORK]' 
DEBUG: FOUND CATEGORY = NETWORK 
DEBUG: Processing line: 'NETWORKING = yes' 
DEBUG: ADDED KEY-VAL :: 'NETWORK|NETWORKING' = 'yes' 
DEBUG: Processing line: 'BOOTPROTO = dhcp' 
DEBUG: ADDED KEY-VAL :: 'NETWORK|BOOTPROTO' = 'dhcp' 
DEBUG: Processing line: 'HOSTNAME = alma-8-newhostname' 
DEBUG: ADDED KEY-VAL :: 'NETWORK|HOSTNAME' = 'alma-8-newhostname' 
DEBUG: Processing line: 'DOMAINNAME = tld.xxx' 
DEBUG: ADDED KEY-VAL :: 'NETWORK|DOMAINNAME' = 'tld.xxx' 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: '[NIC-CONFIG]' 
DEBUG: FOUND CATEGORY = NIC-CONFIG 
DEBUG: Processing line: 'NICS = NIC1,NIC2' 
DEBUG: ADDED KEY-VAL :: 'NIC-CONFIG|NICS' = 'NIC1,NIC2' 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: '[NIC1]' 
DEBUG: FOUND CATEGORY = NIC1 
DEBUG: Processing line: 'MACADDR = 00:50:56:92:a2:6e' 
DEBUG: ADDED KEY-VAL :: 'NIC1|MACADDR' = '00:50:56:92:a2:6e' 
DEBUG: Processing line: 'PRIMARY = yes' 
DEBUG: ADDED KEY-VAL :: 'NIC1|PRIMARY' = 'yes' 
DEBUG: Processing line: 'ONBOOT = yes' 
DEBUG: ADDED KEY-VAL :: 'NIC1|ONBOOT' = 'yes' 
DEBUG: Processing line: 'IPv4_MODE = BACKWARDS_COMPATIBLE' 
DEBUG: ADDED KEY-VAL :: 'NIC1|IPv4_MODE' = 'BACKWARDS_COMPATIBLE' 
DEBUG: Processing line: 'BOOTPROTO = static' 
DEBUG: ADDED KEY-VAL :: 'NIC1|BOOTPROTO' = 'static' 
DEBUG: Processing line: 'IPADDR = 10.192.228.58' 
DEBUG: ADDED KEY-VAL :: 'NIC1|IPADDR' = '10.192.228.58' 
DEBUG: Processing line: 'NETMASK = 255.255.255.128' 
DEBUG: ADDED KEY-VAL :: 'NIC1|NETMASK' = '255.255.255.128' 
DEBUG: Processing line: 'GATEWAY = 10.192.228.1' 
DEBUG: ADDED KEY-VAL :: 'NIC1|GATEWAY' = '10.192.228.1' 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: '[NIC2]' 
DEBUG: FOUND CATEGORY = NIC2 
DEBUG: Processing line: 'MACADDR = 00:50:56:92:9a:1f' 
DEBUG: ADDED KEY-VAL :: 'NIC2|MACADDR' = '00:50:56:92:9a:1f' 
DEBUG: Processing line: 'ONBOOT = yes' 
DEBUG: ADDED KEY-VAL :: 'NIC2|ONBOOT' = 'yes' 
DEBUG: Processing line: 'IPv4_MODE = BACKWARDS_COMPATIBLE' 
DEBUG: ADDED KEY-VAL :: 'NIC2|IPv4_MODE' = 'BACKWARDS_COMPATIBLE' 
DEBUG: Processing line: 'BOOTPROTO = static' 
DEBUG: ADDED KEY-VAL :: 'NIC2|BOOTPROTO' = 'static' 
DEBUG: Processing line: 'IPADDR = 10.192.228.186' 
DEBUG: ADDED KEY-VAL :: 'NIC2|IPADDR' = '10.192.228.186' 
DEBUG: Processing line: 'NETMASK = 255.255.255.128' 
DEBUG: ADDED KEY-VAL :: 'NIC2|NETMASK' = '255.255.255.128' 
DEBUG: Processing line: 'GATEWAY = 10.192.228.129' 
DEBUG: ADDED KEY-VAL :: 'NIC2|GATEWAY' = '10.192.228.129' 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: '[DNS]' 
DEBUG: FOUND CATEGORY = DNS 
DEBUG: Processing line: 'DNSFROMDHCP=no' 
DEBUG: ADDED KEY-VAL :: 'DNS|DNSFROMDHCP' = 'no' 
DEBUG: Processing line: '' 
DEBUG: Empty line. Ignored. 
DEBUG: Processing line: 'NAMESERVER|1 = 128.100.100.128' 
DEBUG: ADDED KEY-VAL :: 'DNS|NAMESERVER|1' = '128.100.100.128' 
DEBUG: Processing line: 'NAMESERVER|2 = 128.100.96.34' 
DEBUG: ADDED KEY-VAL :: 'DNS|NAMESERVER|2' = '128.100.96.34' 
DEBUG: Reading issue file ...  
DEBUG: Command: 'cat /etc/issue' 
DEBUG: Result: \S
Kernel \r on an \m

 
DEBUG: Exit Code: 0 
DEBUG: \S
Kernel \r on an \m

 
DEBUG: Reading issue file ...  
DEBUG: Command: 'cat /etc/issue' 
DEBUG: Result: \S
Kernel \r on an \m

 
DEBUG: Exit Code: 0 
DEBUG: \S
Kernel \r on an \m

 
DEBUG: Reading /etc/os-release file ...  
DEBUG: opening file /etc/os-release. 
DEBUG: Match found   : Line = ID="almalinux"
 
DEBUG: Actual String : "almalinux" 
DEBUG: ID: "almalinux" 
DEBUG: opening file /etc/os-release. 
DEBUG: Match found   : Line = VERSION_ID="8.3"
 
DEBUG: Actual String : "8.3" 
DEBUG: Version: "8.3" 
WARNING: Amazon Linux flavor not detected 
DEBUG: Reading issue file ...  
DEBUG: Command: 'cat /etc/issue' 
DEBUG: Result: \S
Kernel \r on an \m

 
DEBUG: Exit Code: 0 
DEBUG: \S
Kernel \r on an \m

 
DEBUG: Reading redhat-release file ...  
DEBUG: Command: 'cat /etc/redhat-release' 
DEBUG: Result: AlmaLinux release 8.3 (Purple Manul)
 
DEBUG: Exit Code: 0 
DEBUG: AlmaLinux release 8.3 (Purple Manul)
 
WARNING: Redhat flavor not detected 
DEBUG: Reading issue file ...  
DEBUG: Command: 'cat /etc/issue' 
DEBUG: Result: \S
Kernel \r on an \m

 
DEBUG: Exit Code: 0 
DEBUG: \S
Kernel \r on an \m

 
DEBUG: Reading redhat-release file ...  
DEBUG: Command: 'cat /etc/redhat-release' 
DEBUG: Result: AlmaLinux release 8.3 (Purple Manul)
 
DEBUG: Exit Code: 0 
DEBUG: AlmaLinux release 8.3 (Purple Manul)
 
WARNING: Redhat flavor not detected 
INFO: Detected distribution: RedHat Linux Distribution 
DEBUG: Reading issue file ...  
DEBUG: Command: 'cat /etc/issue' 
DEBUG: Result: \S
Kernel \r on an \m

 
DEBUG: Exit Code: 0 
DEBUG: \S
Kernel \r on an \m

 
DEBUG: Reading redhat-release file ...  
DEBUG: Command: 'cat /etc/redhat-release' 
DEBUG: Result: AlmaLinux release 8.3 (Purple Manul)
 
DEBUG: Exit Code: 0 
DEBUG: AlmaLinux release 8.3 (Purple Manul)
 
WARNING: Redhat flavor not detected 
WARNING: Unknown RedHat Linux Distribution distribution flavour. 
INFO: Customization instance RedHatCustomization loaded. 
INFO: Customization started 
DEBUG: Command: 'hostname 2>/dev/null' 
DEBUG: Result: alma-8-template
 
DEBUG: Exit Code: 0 
DEBUG: TimedCommand: 'hostname -f 2>/dev/null' with timeout of 5 sec 
DEBUG: Fetching result from /tmp/timed_out_tmp_file_960 
DEBUG: TimedResult: alma-8-template
 
DEBUG: opening file /etc/sysconfig/network. 
INFO: OLD HOST NAME =  
INFO: Marker file exists or is undefined, pre-customization is not needed 
INFO: Customizing Network settings ...  
DEBUG: opening file /etc/sysconfig/network-scripts/ifcfg-ens192. 
DEBUG: DHCPV6C is '' 
DEBUG: opening file /etc/sysconfig/network-scripts/ifcfg-ens192. 
DEBUG: DHCPV6C_OPTIONS is '' 
DEBUG: opening file /etc/sysconfig/network-scripts/ifcfg-ens192. 
DEBUG: IPV6_AUTOCONF is '' 
DEBUG: opening file /etc/sysconfig/network-scripts/ifcfg-ens192. 
DEBUG: Match found   : Line = IPV6INIT=no
 
DEBUG: Actual String : no 
DEBUG: IPV6INIT is 'no' 
INFO: Erasing DHCP leases 
DEBUG: Command: 'pkill dhclient' 
DEBUG: Result:  
DEBUG: Exit Code: 256 
DEBUG: Command: 'rm -f /var/lib/dhcp/*' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Command: 'rm -f /var/lib/dhclient/*' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Resetting Network Administration Tool (redhat-config-network) 
DEBUG: Command: 'rm -rf /etc/sysconfig/networking/devices' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Command: 'rm -rf /etc/sysconfig/networking/profiles' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Primary NIC is 00:50:56:92:a2:6e 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:a2:6e  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:9a:1f  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
DEBUG: opening file /etc/sysconfig/network. 
DEBUG: Line : # Created by anaconda
 
INFO: GATEWAYDEV not found, created with ether 
INFO: GATEWAY not found 
INFO: Created with 10.192.228.1 
DEBUG: opening file for writing (/etc/sysconfig/network). 
DEBUG: Command: 'chmod 644 /etc/sysconfig/network' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Command: 'hostname alma-8-newhostname' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Customizing NICS ...  
DEBUG: Command: 'modprobe pcnet32 2> /dev/null' 
DEBUG: Result:  
DEBUG: Exit Code: 256 
DEBUG: Command: '/sbin/ifconfig eth0 2> /dev/null' 
DEBUG: Result:  
DEBUG: Exit Code: 256 
INFO: Customizing NICS. { NIC1,NIC2 } 
INFO: Customizing NIC NIC1 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:a2:6e  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:9a:1f  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
DEBUG: Deleting 0 files... 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:a2:6e  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:9a:1f  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
INFO: Writing ifcfg file for NIC suffix = ether 
INFO: Query config for ^(NIC1\|IPv6ADDR\|) 
INFO: Query config for ^(NIC1\|IPv6NETMASK\|) 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:a2:6e  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:9a:1f  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
DEBUG: opening file for writing (/etc/sysconfig/network-scripts/ifcfg-ether). 
DEBUG: Command: 'chmod 644 /etc/sysconfig/network-scripts/ifcfg-ether' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Query config for ^NIC1(\|IPv6GATEWAY\|) 
INFO: Configuring route (gateway settings) for ether. 
INFO: Configuring route 10.192.228.1 
DEBUG: opening file /etc/sysconfig/network-scripts/route-ether for appending. 
DEBUG: opening file /etc/sysconfig/network-scripts/route6-ether for appending. 
INFO: Customizing NIC NIC2 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:a2:6e  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:9a:1f  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
DEBUG: Deleting 0 files... 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:a2:6e  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:9a:1f  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
INFO: Writing ifcfg file for NIC suffix = ether 
INFO: Query config for ^(NIC2\|IPv6ADDR\|) 
INFO: Query config for ^(NIC2\|IPv6NETMASK\|) 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:a2:6e  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:9a:1f  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
DEBUG: opening file for writing (/etc/sysconfig/network-scripts/ifcfg-ether). 
DEBUG: Command: 'chmod 644 /etc/sysconfig/network-scripts/ifcfg-ether' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Query config for ^NIC2(\|IPv6GATEWAY\|) 
INFO: Cleanup default IPv4 route for ether. 
DEBUG: Command: '/bin/cat /etc/sysconfig/network-scripts/route-ether | /bin/grep -v default > /etc/sysconfig/network-scripts/route-ether.tmp' 
DEBUG: Result:  
DEBUG: Exit Code: 256 
DEBUG: Command: '/bin/mv -f /etc/sysconfig/network-scripts/route-ether.tmp /etc/sysconfig/network-scripts/route-ether' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Cleanup default IPv6 route for ether. 
DEBUG: Command: '/bin/cat /etc/sysconfig/network-scripts/route6-ether | /bin/grep -v default > /etc/sysconfig/network-scripts/route6-ether.tmp' 
DEBUG: Result:  
DEBUG: Exit Code: 256 
DEBUG: Command: '/bin/mv -f /etc/sysconfig/network-scripts/route6-ether.tmp /etc/sysconfig/network-scripts/route6-ether' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Configuring route (gateway settings) for ether. 
INFO: Configuring route 10.192.228.129 
DEBUG: opening file /etc/sysconfig/network-scripts/route-ether for appending. 
DEBUG: opening file /etc/sysconfig/network-scripts/route6-ether for appending. 
INFO: Customizing Hosts file ...  
DEBUG: Old hostname=[alma-8-template] 
DEBUG: Old FQDN=[alma-8-template] 
DEBUG: New hostname=[alma-8-newhostname] 
DEBUG: Building FQDN. HostnameFQDN: alma-8-newhostname, Domainname: tld.xxx 
DEBUG: New FQDN=[alma-8-newhostname.tld.xxx] 
DEBUG: opening file /etc/hosts. 
DEBUG: Line (inp): 127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
 
DEBUG: Line (inp): ::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
 
DEBUG: Static ip entry added 
DEBUG: Line (out): 127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
 
DEBUG: Line (out): ::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
 
DEBUG: Line (out): 
10.192.228.58	alma-8-newhostname.tld.xxx alma-8-newhostname
 
DEBUG: opening file for writing (/etc/hosts). 
DEBUG: Command: 'chmod 644 /etc/hosts' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Customizing DNS ...  
DEBUG: opening file /etc/nsswitch.conf. 
DEBUG: opening file for writing (/etc/nsswitch.conf). 
DEBUG: Command: 'chmod 644 /etc/nsswitch.conf' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Query config for ^(DNS\|SUFFIX\|) 
INFO: Query config for ^(DNS\|NAMESERVER\|) 
DEBUG: Match Found : DNS|NAMESERVER|2 
DEBUG: 0 
DEBUG: Match Found : DNS|NAMESERVER|1 
DEBUG: 1 
DEBUG: opening file for writing (/etc/resolv.conf). 
DEBUG: Command: 'chmod 644 /etc/resolv.conf' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
INFO: Check if restorecon exists in /sbin 
DEBUG: Command: '/usr/bin/test -f /sbin/restorecon' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Command: '/sbin/restorecon /etc/resolv.conf' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:a2:6e  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:9a:1f  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
INFO: Query config for ^(DNS\|SUFFIX\|) 
INFO: Query config for ^(DNS\|NAMESERVER\|) 
DEBUG: Match Found : DNS|NAMESERVER|2 
DEBUG: 0 
DEBUG: Match Found : DNS|NAMESERVER|1 
DEBUG: 1 
DEBUG: opening file for writing (/etc/dhclient-ether.conf). 
DEBUG: Command: 'chmod 644 /etc/dhclient-ether.conf' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Command: '/sbin/ifconfig -a' 
DEBUG: Result: ens192: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:a2:6e  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens224: flags=4098<BROADCAST,MULTICAST>  mtu 1500
        ether 00:50:56:92:9a:1f  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

 
DEBUG: Exit Code: 0 
INFO: Query config for ^(DNS\|SUFFIX\|) 
INFO: Query config for ^(DNS\|NAMESERVER\|) 
DEBUG: Match Found : DNS|NAMESERVER|2 
DEBUG: 0 
DEBUG: Match Found : DNS|NAMESERVER|1 
DEBUG: 1 
DEBUG: opening file for writing (/etc/dhclient-ether.conf). 
DEBUG: Command: 'chmod 644 /etc/dhclient-ether.conf' 
DEBUG: Result:  
DEBUG: Exit Code: 0 
DEBUG: Deleting 1 files... 
DEBUG: Deleting /etc/resolv.conf.sv... 
DEBUG: Skipping the delete: file doesn't exist or is a directory 
INFO: Customizing Date&Time ...  
INFO: Marker file exists or is undefined, password settings are not needed 
INFO: Marker file exists or is undefined, post-customization is not needed 
INFO: Marker creation is not needed 
INFO: Customization completed. 
DEBUG: Removing lock file /var/lock/vmware/gosc. 
'.

[2021-05-13T01:16:04.457Z] [    info] Wait before set enable-nics stats in vmx.

[2021-05-13T01:16:04.457Z] [   debug] Trying to connect network interfaces, attempt 1.

[2021-05-13T01:16:04.458Z] [   debug] Got VMX response 'queryNicsSupported'.

[2021-05-13T01:16:06.501Z] [   debug] Got VMX response 'connected'.

[2021-05-13T01:16:06.501Z] [    info] The network interfaces are connected on 0 second.

[2021-05-13T01:16:06.506Z] [    info] Transitioning from state 'INPROGRESS' to state 'Done'.

[2021-05-13T01:16:06.506Z] [    info] ENTER STATE 'Done'.

[2021-05-13T01:16:06.506Z] [    info] EXIT STATE 'INPROGRESS'.

[2021-05-13T01:16:06.506Z] [    info] Deployment succeeded.

[2021-05-13T01:16:06.506Z] [    info] Launching cleanup.

[2021-05-13T01:16:06.506Z] [   debug] Command to exec : '/bin/rm'.

[2021-05-13T01:16:06.506Z] [    info] sizeof ProcessInternal is 56

[2021-05-13T01:16:06.507Z] [    info] Returning, pending output from stdout
[2021-05-13T01:16:06.507Z] [    info] Returning, pending output from stderr
[2021-05-13T01:16:06.612Z] [    info] Process exited normally after 0 seconds, returned 0
[2021-05-13T01:16:06.612Z] [    info] No more output from stdout
[2021-05-13T01:16:06.612Z] [    info] No more output from stderr
[2021-05-13T01:16:06.612Z] [    info] Customization command output: ''.

[2021-05-13T01:16:06.612Z] [    info] sSkipReboot: 'false', forceSkipReboot 'false'.

[2021-05-13T01:16:06.612Z] [   debug] Ran DeployPkg_DeployPackageFromFile successfully
[2021-05-13T01:16:06.612Z] [   debug] ## Closing log
[2021-05-13T01:16:06.619Z] [    info] Trigger reboot.

[2021-05-13T01:16:06.619Z] [   debug] Command to exec : '/sbin/telinit'.

[2021-05-13T01:16:06.619Z] [    info] sizeof ProcessInternal is 56

[2021-05-13T01:16:06.620Z] [    info] Returning, pending output from stdout
[2021-05-13T01:16:06.620Z] [    info] Returning, pending output from stderr
[2021-05-13T01:16:06.709Z] [   error] Process exited abnormally after 0 sec, uncaught signal 15
[2021-05-13T01:16:06.709Z] [    info] No more output from stdout
[2021-05-13T01:16:06.709Z] [    info] No more output from stderr
[2021-05-13T01:16:06.709Z] [    info] Customization command output: ''.

[2021-05-13T01:16:06.709Z] [   error] Customization command failed with exitcode: 127, stderr: ''.

[2021-05-13T01:16:06.739Z] [   error] Failed to reboot, telinit returned error 127.

corporategadfly

2021-05-13 01:47

reporter   ~0000192

And I apologize for the delay in responding.

alukoshko

2021-05-25 23:07

developer   ~0000212

Hello.
Looks like nothing can be done on open-vm-tools side. We have to wait for support from VMware.

Issue History

Date Modified Username Field Change
2021-02-24 15:17 corporategadfly New Issue
2021-03-31 14:17 corporategadfly Note Added: 0000092
2021-03-31 16:02 alukoshko Assigned To => alukoshko
2021-03-31 16:02 alukoshko Status new => assigned
2021-03-31 16:10 alukoshko Note Added: 0000093
2021-03-31 16:10 alukoshko Status assigned => feedback
2021-03-31 16:14 corporategadfly Note Added: 0000094
2021-03-31 16:14 corporategadfly Status feedback => assigned
2021-03-31 16:15 corporategadfly Note Added: 0000095
2021-04-02 01:29 corporategadfly Note Added: 0000107
2021-05-06 23:08 corporategadfly Note Added: 0000180
2021-05-07 18:19 alukoshko Note Added: 0000181
2021-05-07 18:40 corporategadfly Note Added: 0000182
2021-05-07 20:23 corporategadfly Note Added: 0000183
2021-05-07 20:23 corporategadfly File Added: almalinux-bug-27-almalinux-8.4-failed-toolsDeployPkg.log
2021-05-07 20:23 corporategadfly File Added: almalinux-bug-27-centos-8-toolsDeployPkg.log
2021-05-07 20:47 alukoshko Note Added: 0000184
2021-05-07 20:49 alukoshko Note Edited: 0000184
2021-05-07 21:13 alukoshko Note Added: 0000185
2021-05-07 21:13 alukoshko File Added: open-vm-tools-11.1.0-2.el8.alma.x86_64.rpm
2021-05-07 21:13 alukoshko Note Added: 0000186
2021-05-07 21:13 alukoshko File Added: open-vm-tools-sdmp-11.1.0-2.el8.alma.x86_64.rpm
2021-05-07 21:13 alukoshko File Added: open-vm-tools-desktop-11.1.0-2.el8.alma.x86_64.rpm
2021-05-07 21:16 alukoshko Note Added: 0000187
2021-05-13 01:46 corporategadfly Note Added: 0000191
2021-05-13 01:46 corporategadfly File Added: almalinux-bug-27-almalinux-8.3-with-patched-open-vm-tools-failed-toolsDeployPkg.log
2021-05-13 01:47 corporategadfly Note Added: 0000192
2021-05-25 23:07 alukoshko Note Added: 0000212